# $Revision: 1.28.2.1 $, $Date: 2006/12/01 15:38:27 $
%define		module	ReportLab
%define		fversion	%(echo %{version} |tr . _)
Summary:	Python library for generating PDFs and graphics
Summary(pl):	Moduy Pythona do generowania PDF-w oraz grafik
Name:		python-%{module}
Version:	1.19
Release:	4
License:	distributable
Group:		Libraries/Python
Source0:	http://www.reportlab.com/ftp/ReportLab_%{fversion}.tgz
# Source0-md5:	02eeec6481f71918bf469a78edc4437c
URL:		http://www.reportlab.com/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Requires:	python-PIL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	%{module}

%description
A library written in Python that lets you generate platform
independant PDFs and graphics.
- PDF generation: uses Python, a clean OO language, layered
  architecture
- Graphics: provides primitive shapes, reusable widgets, sample
  collections including business chart and diagrams
- PythonPoint: a utility for generating PDF slides from a simple XML
  format

%description -l pl
Biblioteka napisana w Pythonie pozwalajca na generowanie niezalenych
od platformy PDF-w oraz grafik.
- Generowanie PDF: uywa Pythona, przejrzystego jzyka obiektowego o
  warstwowej architekturze
- Grafika: podstawowe figury geometryczne, kontrolki, a take
  przykady, wczajc w to wykresy i diagramy
- PythonPoing: narzdzie do generowania slajdw w formacie PDF z
  prostego formatu XML

%prep
%setup -q -n reportlab-%{fversion}

%build
cd reportlab
%{__make} -C lib -f Makefile.pre.in boot \
	LIBP="%{py_libdir}"
perl -pi -e "s|\@DEFS\@||" lib/Makefile
%{__make} -C lib \
	OPT="%{rpmcflags}" \
	CC="%{__cc}" \
	LIBP="%{py_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
cd reportlab
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{py_sitedir}/%{module}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf test
cp -aR * $RPM_BUILD_ROOT%{py_sitedir}/%{module}
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/{demos,docs}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

echo "%{module}" > $RPM_BUILD_ROOT%{py_sitedir}/reportlab.pth
ln -s %{module} $RPM_BUILD_ROOT%{py_sitedir}/reportlab

install tools/py2pdf/py2pdf.py $RPM_BUILD_ROOT%{_bindir}
install tools/pythonpoint/pythonpoint.py $RPM_BUILD_ROOT%{_bindir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc reportlab/docs/* reportlab/license*
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*.pth
%dir %{py_sitedir}/reportlab
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/extensions
%{py_sitedir}/%{module}/extensions/*.py[co]
%dir %{py_sitedir}/%{module}/fonts
%{py_sitedir}/%{module}/fonts/*.AFM
%{py_sitedir}/%{module}/fonts/*.PFB
%{py_sitedir}/%{module}/fonts/*.ttf
%{py_sitedir}/%{module}/fonts/*.txt
%dir %{py_sitedir}/%{module}/graphics
%{py_sitedir}/%{module}/graphics/*.py[co]
%dir %{py_sitedir}/%{module}/graphics/charts
%{py_sitedir}/%{module}/graphics/charts/*.py[co]
%dir %{py_sitedir}/%{module}/graphics/widgets
%{py_sitedir}/%{module}/graphics/widgets/*.py[co]
%dir %{py_sitedir}/%{module}/lib
%{py_sitedir}/%{module}/lib/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/lib/*.so
%dir %{py_sitedir}/%{module}/pdfbase
%{py_sitedir}/%{module}/pdfbase/*.py[co]
%dir %{py_sitedir}/%{module}/pdfgen
%{py_sitedir}/%{module}/pdfgen/*.py[co]
%dir %{py_sitedir}/%{module}/platypus
%{py_sitedir}/%{module}/platypus/*.py[co]
%dir %{py_sitedir}/%{module}/tools
%{py_sitedir}/%{module}/tools/*.py[co]
%dir %{py_sitedir}/%{module}/tools/docco
%{py_sitedir}/%{module}/tools/docco/*.py[co]
%dir %{py_sitedir}/%{module}/tools/py2pdf
%{py_sitedir}/%{module}/tools/py2pdf/*.py[co]
%{py_sitedir}/%{module}/tools/py2pdf/*.jpg
%{py_sitedir}/%{module}/tools/py2pdf/*.txt
%dir %{py_sitedir}/%{module}/tools/pythonpoint
%{py_sitedir}/%{module}/tools/pythonpoint/*.py[co]
%{py_sitedir}/%{module}/tools/pythonpoint/*.dtd
%dir %{py_sitedir}/%{module}/tools/pythonpoint/styles
%{py_sitedir}/%{module}/tools/pythonpoint/styles/*.py[co]
# to -demos subpackage ?
%dir %{py_sitedir}/%{module}/graphics/samples
%{py_sitedir}/%{module}/graphics/samples/*.py[co]
# *.py as %doc for education
%doc %{py_sitedir}/%{module}/graphics/samples/*.py
%{py_sitedir}/%{module}/tools/pythonpoint/demos

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ReportLab.spec,v $
Revision 1.28.2.1  2006/12/01 15:38:27  ankry
s/python-Imaging/python-PIL/, rel. 4

Revision 1.28  2004/12/24 22:13:58  adamg
- release 3 to rebuild with python 2.4

Revision 1.27  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.26  2004/08/29 20:12:20  undefine
- release 2

Revision 1.25  2004/08/29 20:08:55  undefine
- yet one test

Revision 1.24  2004/08/29 20:04:23  undefine
- small check...

Revision 1.23  2004/08/29 16:33:07  undefine
- update to 1.19, small stupid hack to allow build (remove @DEFS@ definition from Makefile)

Revision 1.22  2004/08/12 01:02:08  havner
- rel 1

Revision 1.21  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.20  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.19  2003/07/23 08:51:55  wiget
- finished update

Revision 1.18  2003/07/23 07:47:13  wiget
- updated to 1.18

Revision 1.17  2003/05/28 14:25:56  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.16  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/07/24 15:21:14  wiget
- updated to 1.14

Revision 1.13  2002/07/23 20:09:55  marcus
- use new %%doc
- rel.3.

Revision 1.12  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.11  2002/04/11 13:54:47  wrobell
- rel. 2, stb

Revision 1.10  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/04/04 18:14:31  wrobell
- fuck! now it is really 1.13 version :-/  -- play nicely with version in
  Source0 line

Revision 1.8  2002/04/04 18:06:56  wrobell
- ver. 1.13 /bugfix release/
- stb

Revision 1.7  2002/03/18 07:20:38  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.6  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/05 11:51:40  kloczek
- spec adapterized and some cosmetics.

Revision 1.3  2002/02/05 10:44:53  wrobell
- typo

Revision 1.2  2002/02/05 10:34:53  wrobell
- improve polish translation
- move demos to %{_examplesdir} dir

Revision 1.1  2002/02/04 19:17:55  misiek
- initial pld release
